curl --request GET \
--url 'https://api.stateset.com/api/v1/inbound-shipments' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"inbound_shipments": [
{
"carrier": "UPS",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"number": "ORD-10042",
"status": "pending",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tracking_number": "1Z999AA10123456784"
}
],
"total": 102
}
List inbound shipments
List inbound shipments
GET
/
api
/
v1
/
inbound-shipments
curl --request GET \
--url 'https://api.stateset.com/api/v1/inbound-shipments' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"inbound_shipments": [
{
"carrier": "UPS",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"number": "ORD-10042",
"status": "pending",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tracking_number": "1Z999AA10123456784"
}
],
"total": 102
}
Query parameters
string
string
integer (int32)
integer (int32)
Response
InboundShipmentListResponse
InboundShipmentResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/inbound-shipments' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"inbound_shipments": [
{
"carrier": "UPS",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [],
"number": "ORD-10042",
"status": "pending",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tracking_number": "1Z999AA10123456784"
}
],
"total": 102
}
Last modified on August 31, 2026